Loading...
Searching...
No Matches
gr::channels Namespace Reference

## Classes

class | cfo_model
| channel simulator More...
class | channel_model
| Basic channel simulator. More...
class | channel_model2
| Basic channel simulator allowing time-varying frequency and timing inputs. More...
class | dynamic_channel_model
| dynamic channel simulator More...
class | fading_model
| fading simulator More...
class | selective_fading_model
| fading simulator More...
class | selective_fading_model2
| fading simulator More...
class | sro_model
| Sample Rate Offset Model. More...

## Variables

constexpr float | default_delays [] = { 0.0, 0.1, 0.5 }
constexpr float | default_mags [] = { 1.0, 0.8, 0.3 }
constexpr float | default_delays2 [] = { 1.0, 1.9, 2.7 }
constexpr float | default_mags2 [] = { 1.0, 0.95, 0.8 }

## Variable Documentation

## default_delays

float gr::channels::default_delays[] = { 0.0, 0.1, 0.5 }

constexpr

## default_delays2

float gr::channels::default_delays2[] = { 1.0, 1.9, 2.7 }

constexpr

## default_mags

float gr::channels::default_mags[] = { 1.0, 0.8, 0.3 }

constexpr

## default_mags2

float gr::channels::default_mags2[] = { 1.0, 0.95, 0.8 }

constexpr